#theader { z-index: 995; position: absolute; top: 0; left: 0; width: 100%; height: 100px; background-color: rgba(255, 255, 255, 0.5); border-bottom: 1px solid transparent; }
#theader .contwrap3 { height: 100%; }

#theader .logo { position: relative; display: block; float: left; height: 100%; text-align: center; writing-mode: vertical-lr; }
#theader .logo img { width: 330px; }

#theader #tnav { position: relative; display: block; float: right; height: 100%; }
#theader #tnav .menu1 { position: relative; left: 30px; height: 100%; display: flex; flex-wrap: nowrap; }
#theader #tnav .menu1 > li { position: relative; height: 100%; }
#theader #tnav .menu1 > li > a { position: relative; height: 100%; display: block; padding: 0 30px; }
#theader #tnav .menu1 > li > a > span { position: relative; top: 50%; transform: translateY(-50%); display: block; text-align: center; font-weight: 700; font-size: 24px; color: #000; transition: color 0.3s; }
#theader #tnav .menu1 > li > a::after { display: block; content: ''; position: absolute; left: 50%; bottom: -1px; transform: translateX(-50%); width: 0; height: 3px; background-color: #f26722; transition: width 0.3s; }
#theader #tnav .menu1 > li:hover > a > span { color: #f26722; }
#theader #tnav .menu1 > li:hover > a::after { width: 100%; }

#theader #tnav .menu1 .menu2 { display: none; position: absolute; left: 0; width: 100%; background-color: rgba(255, 255, 255, 0.85); }
#theader #tnav .menu1 .menu2 a { position: relative; display: block; padding: 13px 5px; text-align: center; font-weight: 500; font-size: 15px; color: #000; }
#theader #tnav .menu1 .menu2 a:hover { background-color: #ccc; }

@media (max-width: 1535px) {
    #theader { height: 90px; }

    #theader .logo img { width: 297px; }
    
    #theader #tnav .menu1 { left: 20px; }
    #theader #tnav .menu1 > li > a { padding: 0 20px; }
    #theader #tnav .menu1 > li > a > span { font-weight: 600; font-size: 20px; }
}
@media (max-width: 1279px) {
    #theader { height: 80px; }

    #theader .logo img { width: 264px; }
    
    #theader #tnav .menu1 { left: 18px; }
    #theader #tnav .menu1 > li > a { padding: 0 18px; }
    #theader #tnav .menu1 > li > a > span { font-weight: 600; font-size: 18px; }

    #theader #tnav .menu1 .menu2 a { font-weight: 500; font-size: 14px; }
}
@media (max-width: 767px) {
    #theader { position: fixed; height: 70px; }
    #theader .contwrap3 { width: 100%; max-width: 100%; }
    #theader.scrollh { background-color: rgba(255, 255, 255, 0.9); box-shadow: 0 4px 4px -4px #000; }
    #theader.active { background-color: rgba(255, 255, 255, 0.9); border-bottom: 1px solid #ddd; }
    #theader.active, #theader.active.scrollh { box-shadow: none; }

    #theader .logo { margin-left: 20px; }
    #theader .logo img { width: 231px; }
    #theader.active .logo .img1, #theader.scrollh .logo .img1 { display: none; }
    #theader.active .logo .img2, #theader.scrollh .logo .img2 { display: inline-block; }

    #theader #tnav { display: none; position: absolute; left: 0; top: 70px; width: 100%; height: initial; float: none; background-color: rgba(255, 255, 255, 0.9); box-shadow: 0 4px 4px -4px #000; }
    #theader.active #tnav { display: block; }
    #theader #tnav .menu1 { left: 0; height: initial; display: block; }
    #theader #tnav .menu1 > li { height: initial; }
    #theader #tnav .menu1 > li > a { height: initial; padding: 15px 5px; transition: background-color 0.2s; }
    #theader #tnav .menu1 > li > a.no_link { pointer-events: none; }
    #theader #tnav .menu1 > li > a > span { top: initial; transform: translateY(0); font-weight: 500; font-size: 15px; color: #000; }
    #theader #tnav .menu1 > li > a::after { display: none; }
    #theader #tnav .menu1 > li:hover > a { background-color: #ddd; }

    #theader #tnav .menu1 .menu2 { position: relative; background-color: #efefef; }
    #theader #tnav .menu1 .menu2 a { padding: 13px 5px; text-align: center; font-weight: normal; font-size: 13px; color: #000; }
    #theader #tnav .menu1 .menu2 a:hover { background-color: #999; }
}

/* theader hambtn */
#theader .ham_btn { display: none; position: absolute; top: 50%; transform: translateY(-50%); right: 20px; width: 27px; height: 20px; cursor: pointer; }
#theader .ham_btn div { position: absolute; width: 100%; height: 3px; background-color: #000; transform-origin: center; }
#theader.active .ham_btn div, #theader.scrollh .ham_btn div { background-color: #000; }
#theader .ham_btn div:first-child { top: 0%; transform: translateY(-50%); animation: mo_bar1 forwards linear 0.4s; }
#theader .ham_btn div:nth-child(2) { top: 40%; transform: translateY(-50%); animation: mo_bar2 forwards linear 0.4s; }
#theader .ham_btn div:last-child { top: 80%; transform: translateY(-50%); animation: mo_bar3 forwards linear 0.4s; }
@keyframes mo_bar1 { 
    0% { top: 50%; transform: translateY(-50%) rotateZ(45deg); }
    50% { top: 50%; transform: translateY(-50%) rotateZ(0deg); }
    100% { top: 0%; transform: translateY(-50%); }
}
@keyframes mo_bar2 {
    0% { opacity: 0; }
    50% { opacity: 1; }
    100% { opacity: 1; }
}
@keyframes mo_bar3 {
    0% { top: 50%; transform: translateY(-50%) rotateZ(-45deg); }
    50% { top: 50%; transform: translateY(-50%) rotateZ(0deg); }
    100% { top: 80%; transform: translateY(-50%); }
}

#theader.active .ham_btn div:first-child { top: 0%; transform: translateY(-50%); animation: mo_bar1_on forwards linear 0.4s; }
#theader.active .ham_btn div:nth-child(2) { top: 40%; transform: translateY(-50%); animation: mo_bar2_on forwards linear 0.4s; }
#theader.active .ham_btn div:last-child { top: 80%; transform: translateY(-50%); animation: mo_bar3_on forwards linear 0.4s; }
@keyframes mo_bar1_on {
    0% { top: 0%; transform: translateY(-50%); }
    50% { top: 50%; transform: translateY(-50%); }
    100% { top: 50%; transform: translateY(-50%) rotateZ(45deg); }
}
@keyframes mo_bar2_on {
    0% { opacity: 1; }
    50% { opacity: 0; }
    100% { opacity: 0; }
}
@keyframes mo_bar3_on {
    0% { top: 80%; transform: translateY(-50%); }
    50% { top: 50%; transform: translateY(-50%); }
    100% { top: 50%; transform: translateY(-50%) rotateZ(-45deg); }
}
@media (max-width: 767px) {
    #theader .ham_btn { display: block; }
}